from _typeshed import Incomplete
from strictyaml.ruamel.error import YAMLError
from typing import Any, Optional, Text

class ReaderError(YAMLError):
    name: Incomplete
    character: Incomplete
    position: Incomplete
    encoding: Incomplete
    reason: Incomplete
    def __init__(
        self, name: Any, position: Any, character: Any, encoding: Any, reason: Any
    ) -> None: ...

class Reader:
    loader: Incomplete
    def __init__(self, stream: Any, loader: Any = ...) -> None: ...
    name: Incomplete
    stream_pointer: int
    eof: bool
    buffer: str
    pointer: int
    raw_buffer: Incomplete
    raw_decode: Incomplete
    encoding: Incomplete
    index: int
    line: int
    column: int
    def reset_reader(self) -> None: ...
    @property
    def stream(self) -> Any: ...
    @stream.setter
    def stream(self, val: Any) -> None: ...
    def peek(self, index: int = ...) -> Text: ...
    def prefix(self, length: int = ...) -> Any: ...
    def forward_1_1(self, length: int = ...) -> None: ...
    def forward(self, length: int = ...) -> None: ...
    def get_mark(self) -> Any: ...
    def determine_encoding(self) -> None: ...
    NON_PRINTABLE: Incomplete
    def check_printable(self, data: Any) -> None: ...
    def update(self, length: int) -> None: ...
    def update_raw(self, size: Optional[int] = ...) -> None: ...
